Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.geom
Class Position

    java.lang.Object
      gov.nasa.worldwind.geom.Position

    public class Position

extends Object

Field Summary
`static Position` | `ZERO`

Constructor Summary
`Position(Angle latitude, Angle longitude, double elevation)`

Method Summary
`static Position` | `fromDegrees(double latitude, double longitude, double elevation)`
`static Position` | `fromRadians(double latitude, double longitude, double elevation)`
`double` | `getElevation()` Obtains the elevation of this position
`Angle` | `getLatitude()` Obtains the latitude of this position
`Angle` | `getLongitude()` Obtains the longitude of this position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    public static final Position ZERO

Constructor Detail

### Position

    public Position(Angle latitude,
                    Angle longitude,
                    double elevation)

Method Detail

### fromDegrees

    public static Position fromDegrees(double latitude,
                                       double longitude,
                                       double elevation)

### fromRadians

    public static Position fromRadians(double latitude,
                                       double longitude,
                                       double elevation)

### getElevation

    public final double getElevation()

  Obtains the elevation of this position

  Returns:
    this position's elevation

### getLatitude

    public final Angle getLatitude()

  Obtains the latitude of this position

  Returns:
    this position's latitude

### getLongitude

    public final Angle getLongitude()

  Obtains the longitude of this position

  Returns:
    this position's longitude

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD